Subject: [Iasa20] Last call: IETF LLC legal documents

From: Alissa Cooper <[email-masked]>
Date: Tue, 24 Jul 2018 15:12:23 -0400

The two legal documents needed to create the IETF LLC have been updated to incorporate the results of the IASA2 WG discussion and a few minor refinements from ISOC. You can see them here:
[1] LLC Agreement - clean https://github.com/IASA2/legal-and-finance/blob/master/IETF%20LLC%20Agreement%20DRAFT%2019JUL18.pdf <https://github.com/IASA2/legal-and-finance/blob/master/IETF%20LLC%20Agreement%20DRAFT%2019JUL18.pdf>
[2] LLC Agreement - redline as compared to previously circulated version https://github.com/IASA2/legal-and-finance/blob/master/IETF%20LLC%20Agreement%20REDLINE%2027JUN%20V%2019JUL.pdf <https://github.com/IASA2/legal-and-finance/blob/master/IETF%20LLC%20Agreement%20REDLINE%2027JUN%20V%2019JUL.pdf>
[3] Transition and Shared Services Agreement - clean https://github.com/IASA2/legal-and-finance/blob/master/IETF%20ISOC%20Transition%20Services%20Agreement%20DRAFT%2019JUL18.pdf <https://github.com/IASA2/legal-and-finance/blob/master/IETF%20ISOC%20Transition%20Services%20Agreement%20DRAFT%2019JUL18.pdf>
[4] Transition and Shared Services Agreement - redline as compared to previously circulated version  https://github.com/IASA2/legal-and-finance/blob/master/IETF%20ISOC%20Transition%20Services%20Agreement%20REDLINE%2026JUN%20V%2019JUL.pdf <https://github.com/IASA2/legal-and-finance/blob/master/IETF%20ISOC%20Transition%20Services%20Agreement%20REDLINE%2026JUN%20V%2019JUL.pdf>
This will serve as the last call for comment on these documents before they get executed and the LLC gets created. Please send any comments to [email-masked] by August 14, 2018. I will also forward this note to [email-masked].

This last call is overlapping with the WG confirmation of consensus about the sources and number of board directors <https://www.ietf.org/mail-archive/web/iasa20/current/msg01250.html <https://www.ietf.org/mail-archive/web/iasa20/current/msg01250.html>>. If that consensus is not confirmed the relevant language in Exhibit A of the LLC Agreement will be updated to match whatever the WG consensus is.

Thanks,
Alissa

---

From: Russ Housley <[email-masked]>
Date: Tue, 24 Jul 2018 15:43:48 -0400

RE: LLC Agreement

In Exhibit A, paragraph 7, I do not think the IESG should be listed.  The IESG only names an alternative to the IETF Chair, so there is no coordination that the IESG should be involved in to ensure staggered terms.

Russ

---

From: Russ Housley <[email-masked]>
Date: Tue, 24 Jul 2018 15:58:20 -0400

I have a question about liaison agreements already made by ISOC on behalf of the IETF...

When reviewing the Transition and Shared Services Agreement, I was unsure how liaison agreements will be handled.  Since the IETF is an activity of ISOC, such agreements were signed by ISOC.  Are these not contracts in the same sense as the other things listed in the Exhibit to the Transition and Shared Services Agreement.

I am aware of liaison agreements with ISO/IEC JTC1/SC2,  ISO/IEC JTC1/SC6, ISO/IEC JTC1/SC21, ISO/IEC JTC1/SC19, and ISO/TC204.  There could be others.

Russ

---

From: Adam Roach <[email-masked]>
Date: Tue, 24 Jul 2018 15:17:02 -0500

On 7/24/18 2:12 PM, Alissa Cooper wrote:
>
> [1] LLC Agreement - clean 
> https://github.com/IASA2/legal-and-finance/blob/master/IETF%20LLC%20Agreement%20DRAFT%2019JUL18.pdf
>

Section 9(a) has a minor typo: "Neither the Company not the Member..." 
should be "Neither the Company nor the Member..."

Exhibit A §8(a) indicates that a vacancy will be promptly filled by the 
body who appointed the corresponding director. Given that the 
board-appointed directors are optional, this doesn't necessarily seem 
applicable to those vacancies. Perhaps there should be an explicit 
exception for such vacancies?

/a

---

From: Ted Hardie <[email-masked]>
Date: Tue, 24 Jul 2018 13:16:53 -0700

Hi Russ,

On Tue, Jul 24, 2018 at 12:58 PM, Russ Housley <[email-masked]> wrote:

> When reviewing the Transition and Shared Services Agreement, I was unsure
> how liaison agreements will be handled.  Since the IETF is an activity of
> ISOC, such agreements were signed by ISOC.  Are these not contracts in the
> same sense as the other things listed in the Exhibit to the Transition and
> Shared Services Agreement.
>
> I am aware of liaison agreements with ISO/IEC JTC1/SC2,  ISO/IEC JTC1/SC6,
> ISO/IEC JTC1/SC21, ISO/IEC JTC1/SC19, and ISO/TC204.  There could be others.
>
>
I don't think these should be listed, as these are not administrative
contracts.  Because the scope of the IETF LLC is shouldering the
administrative burden, rather than taking up the standards work or other
IETF relationships, I think they'd be out of place.  Those relate to who
the IETF's technical work relates to the technical work done elsewhere,
which is a pretty different ball of wax.

Just my opinion, of course.

regards,

Ted

> Russ
>
> _______________________________________________
> iasa20 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iasa20
>

---

From: Russ Housley <[email-masked]>
Date: Tue, 24 Jul 2018 16:31:17 -0400

> On Jul 24, 2018, at 4:16 PM, Ted Hardie <[email-masked]> wrote:
> 
> On Tue, Jul 24, 2018 at 12:58 PM, Russ Housley <[email-masked] <mailto:[email-masked]>> wrote:
> I don't think these should be listed, as these are not administrative contracts.  Because the scope of the IETF LLC is shouldering the administrative burden, rather than taking up the standards work or other IETF relationships, I think they'd be out of place.  Those relate to who the IETF's technical work relates to the technical work done elsewhere, which is a pretty different ball of wax.

I agree that they are not like the others, and it may not be appropriate for them to be handled at the same time.  However, once the LLC is in place, it is not clear to me that ISOC should "service" such agreements on behalf of the IETF.  That is the reason I asked a question.

Russ

---

From: Ted Hardie <[email-masked]>
Date: Tue, 24 Jul 2018 13:46:52 -0700

On Tue, Jul 24, 2018 at 1:31 PM, Russ Housley <[email-masked]> wrote:

>
> I agree that they are not like the others, and it may not be appropriate
> for them to be handled at the same time.  However, once the LLC is in
> place, it is not clear to me that ISOC should "service" such agreements on
> behalf of the IETF.  That is the reason I asked a question.
>
> Russ
>
>
I'm not clear what servicing these agreements would imply as additional
work, since there is no money exchanged in either direction.  The IAB
manages the appointment of liaison managers from our side, and the IESG
manages the receipt of liaison documents.  I think, in other words, that
this is already sorted and doesn't need to change.

regards,

Ted

---

From: Russ Housley <[email-masked]>
Date: Tue, 24 Jul 2018 16:53:51 -0400

> On Jul 24, 2018, at 4:46 PM, Ted Hardie <[email-masked]> wrote:
> 
> On Tue, Jul 24, 2018 at 1:31 PM, Russ Housley <[email-masked] <mailto:[email-masked]>> wrote:
> 
> I'm not clear what servicing these agreements would imply as additional work, since there is no money exchanged in either direction.  The IAB manages the appointment of liaison managers from our side, and the IESG manages the receipt of liaison documents.  I think, in other words, that this is already sorted and doesn't need to change.

The last one that I was involved is getting signed took well over a year, so there is some level of staff commitment to keep things on track.  Allowing ISOC and the IAB to handle these agreements is one rational and reasonable way forward, and that would satisfy my question as long as ISOC wants to continue to service such agreements.  As you say, there is no money involved with them.

Russ

---

From: Stephen Farrell <[email-masked]>
Date: Tue, 24 Jul 2018 21:59:05 +0100

On 24/07/18 21:53, Russ Housley wrote:
>> I agree that they are not like the others, and it may not be
>> appropriate for them to be handled at the same time.  However, once
>> the LLC is in place, it is not clear to me that ISOC should
>> "service" such agreements on behalf of the IETF.  That is the
>> reason I asked a question.
>> 
>> Russ
>> 
>> 
>> I'm not clear what servicing these agreements would imply as
>> additional work, since there is no money exchanged in either
>> direction.  The IAB manages the appointment of liaison managers
>> from our side, and the IESG manages the receipt of liaison
>> documents.  I think, in other words, that this is already sorted
>> and doesn't need to change.
> 
> The last one that I was involved is getting signed took well over a
> year, so there is some level of staff commitment to keep things on
> track.  Allowing ISOC and the IAB to handle these agreements is one
> rational and reasonable way forward, and that would satisfy my
> question as long as ISOC wants to continue to service such
> agreements.  As you say, there is no money involved with them.

There's also the other end. ISO and ITU have heard of ISOC
but not of the LLC, so getting a new liaison could be tricky
if ISOC don't wanna keep doing this. I've no insight as to
whether the LLC would be seen as an acceptable equivalent
to ISOC for such organisations. (Nor whether someone might
tactically pretend to find the change unacceptable;-)

So, yeah, if ISOC are happy to keep doing that, that'd be
simplest, for now anyway.

S.

> 
> Russ
> 
> 
> 
> 
> _______________________________________________ iasa20 mailing list 
> [email-masked] https://www.ietf.org/mailman/listinfo/iasa20
>

---

From: Michael Richardson <[email-masked]>
Date: Tue, 24 Jul 2018 17:27:16 -0400

> When reviewing the Transition and Shared Services Agreement, I
    > was unsure how liaison agreements will be handled. Since the
    > IETF is an activity of ISOC, such agreements were signed by
    > ISOC. Are these not contracts in the same sense as the other
    > things listed in the Exhibit to the Transition and Shared
    > Services Agreement.
        
    > I am aware of liaison agreements with ISO/IEC JTC1/SC2,
    > ISO/IEC JTC1/SC6, ISO/IEC JTC1/SC21, ISO/IEC JTC1/SC19, and
    > ISO/TC204. There could be others.
        
...

    > appropriate for them to be handled at the same time. However, once the
    > LLC is in place, it is not clear to me that ISOC should "service" such
    > agreements on behalf of the IETF. That is the reason I asked a
    > question.

ISOC signed those agreements because the IETF didn't exist as a legal entity
that could sign them at the time.

The LLC creates that entity, so they should be transfered to the LLC in some
way.  I think we should treat them like other contracts, even though they are
not administrative.

At the very least, I think that the ISOC needs to notify the other
party in those agreements that the LLC (and IAD/ED/chair-of-LLC?) is now the
contact.

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Russ Housley <[email-masked]>
Date: Tue, 24 Jul 2018 17:28:14 -0400

> On Jul 24, 2018, at 4:59 PM, Stephen Farrell <[email-masked]> wrote:
> 

Sure.  That would be fine.  In the past ISOC was the only choice because a legal entity was required.

Russ

---

From: Ted Hardie <[email-masked]>
Date: Tue, 24 Jul 2018 14:41:16 -0700

Michael,

> way.  I think we should treat them like other contracts, even though they
I strongly disagree.  We have scoped this entire exercise as a way to make
the *administrative* aspects of the IETF's organization fit better the
growth which has occurred in ISOC and the IETF.   Shifting the scope now to
include non-administrative aspects would be a grave error.

To illustrate this, think of all the discussion we've had on the desiderata
for a good LLC Board member.  None of that has touched on knowledge or
understanding of these liaison relationships, the bodies with whom they
were executed, or the IETF work they touch.  Expanding the scope of the LLC
to include them expands the needed expertise, and we're back looking for
the purple squirrels who deeply understand both business matters and the
ins and outs of the IETF's work and output.

Permit me also to call attention to this text in the charter:

  Aside from instances where they presently relate to IASA, it is outside the
  scope of this working group to consider any changes to anything related to
  the oversight or steering of the standards process as currently conducted by
  the IESG and IAB, the appeal chain, the confirming bodies for existing IETF
  and IAB appointments, the IRTF, or ISOC's memberships in other organizations.

Adding the liaison relationships back in now should be, and I believe is,
out of scope.

regards,

Ted

---

From: Michael Richardson <[email-masked]>
Date: Tue, 24 Jul 2018 18:50:05 -0400

Ted Hardie <[email-masked]> wrote:
    > On Tue, Jul 24, 2018 at 2:27 PM, Michael Richardson
    > <[email-masked]> wrote:

    mcr> ISOC signed those agreements because the IETF didn't exist as a
    mcr> legal entity
    mcr> that could sign them at the time.
    
    mcr> The LLC creates that entity, so they should be transfered to the
    mcr> LLC in some
    mcr> way. I think we should treat them like other contracts, even
    mcr> though they are
    mcr> not administrative.

    > I strongly disagree. We have scoped this entire exercise as a way to
    > make the *administrative* aspects of the IETF's organization fit
    > better the growth which has occurred in ISOC and the IETF. Shifting
    > the scope now to include non-administrative aspects would be a grave
    > error.

I just don't understand your view.
Maybe I have no idea what we are talking about.

Signing and maintaining the appropriate paperwork for a liason sure sounds
like an administrative activity to me.  Engaging legal opinion to make sure
that we don't do something wrong sounds like even more non-technical
administrative burden to me.  I can't think of anything more technically boring.

It's not like I'm suggesting that the LLC will negotiate the contents of the
liason: that's the IABs' job!!!   It's just that many of those other entities
don't deal with people.

    > Adding the liaison relationships back in now should be, and I believe
    > is, out of scope.

    

    > ----------------------------------------------------
    > Alternatives:

    > ----------------------------------------------------

---

From: "Brad Biddle" <[email-masked]>
Date: Tue, 24 Jul 2018 16:07:25 -0700

> When reviewing the Transition and Shared Services Agreement, I was 
> unsure how liaison agreements will be handled.

Some quick thoughts in response to Russ’ questions and points raised 
later in this thread:

The basic rule in the TSSA is that all existing contractual rights and 
obligations related to the “IETF Business” (as defined) are assigned 
to the LLC (TSSA sec. 2(b)), and ISOC and the LLC will promptly act to 
document each contract assignment (TSSA sec. 2(e)), but the TSSA 
envisions exceptions: “In the event that the parties mutually agree 
that a particular transaction is impossible or undesirable (e.g. because 
of consent requirements, acceleration or termination rights, or fee 
modifications or other economic consequences), then the parties will 
work in good faith to adopt an alternative arrangement that embodies the 
intent of this Agreement.” (TSSA sec. 2(e)).

The TSSA expressly calls out the liaison agreements as an exception to 
the default rule of contract assignment (TSSA sec. (2(e)(iii)): 
“Member has established liaison relationships with various third 
parties intended to facilitate the Internet standards setting process. 
Member and Company presume that Member will continue to maintain these 
liaison relationships. Without limiting the scope of Section 2(e) above, 
relevant liaison agreements and similar documents should be assigned to 
Company only if and when both Company and Member agree that such 
assignment is in the best interests of the standards setting process.”

So: as currently drafted, the assumption is that the liaison agreements 
will remain with ISOC as the contracting party unless and until ISOC and 
the LLC agree otherwise. They will not transfer to the LLC upon 
execution of the TSSA.

—Brad
(IETF Counsel)

Brad Biddle | [email-masked] | +1.503.502.1259 (mobile) | 
http://biddle.law

On 24 Jul 2018, at 12:58, Russ Housley wrote:

> When reviewing the Transition and Shared Services Agreement, I was 
> unsure how liaison agreements will be handled.  Since the IETF is an 
> activity of ISOC, such agreements were signed by ISOC.  Are these not 
> contracts in the same sense as the other things listed in the Exhibit 
> to the Transition and Shared Services Agreement.
>
> I am aware of liaison agreements with ISO/IEC JTC1/SC2,  ISO/IEC 
> JTC1/SC6, ISO/IEC JTC1/SC21, ISO/IEC JTC1/SC19, and ISO/TC204.  There 
> could be others.
>
> Russ
>

---

From: Ted Hardie <[email-masked]>
Date: Tue, 24 Jul 2018 16:12:25 -0700

On Tue, Jul 24, 2018 at 3:50 PM, Michael Richardson <[email-masked]>
wrote:

> It may help you to look at it from the other party's view.  Here's the ISO
page about the liaison relationship with the ISOC:
https://www.iso.org/organization/9418.html

You'll not thate it is a category A relationship, defined as follows:

*Liaisons A:* Organizations that make an effective contribution to the work
of the technical committee or subcommittee for questions dealt with by this
technical committee or subcommittee.
That is, these are relationships that touch on our technical work or where
our technical work is expected to have a bearing on the work of the other
body.  Judging the effectiveness of those relationships, managing the
establishment of those relationships, and overseeing the dissolution of
those relationships is effectively outside the administrative support
activities related to the IETF; they're part of the technical leadership we
expect from the IESG or IAB.  That means we don't manage them through the
LLC even as we did not manage them via IASA.

regards,

Ted

---

From: "John Levine" <[email-masked]>
Date: 24 Jul 2018 21:43:01 -0400

In article <[email-masked]> you write:
>When reviewing the Transition and Shared Services Agreement, I was unsure how liaison agreements will be handled.  Since the IETF is an
>activity of ISOC, such agreements were signed by ISOC.  Are these not contracts in the same sense as the other things listed in the Exhibit

There's specific language saying that they'll be transferred only if
and when ISOC and the LLC both think it's a good idea.  Seems right to me.

R's,
John

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 25 Jul 2018 16:10:49 +1200

Front posting to say +1 to Ted. The formal international SDOs have been
signing liaisons with the ISOC since Vint negotiated the first one
(with ISO/IEC JTC 1/SC 6, in May 1994) and they are not administrative
documents; they are techno-political documents. ITU and ISO are comfortable
with ISOC and the IAB, and have never heard of IETF Admin LLC.

Ain't broke, don't fix.

   Brian

---

From: Bob Hinden <[email-masked]>
Date: Tue, 24 Jul 2018 20:30:27 -1000

> On Jul 24, 2018, at 6:10 PM, Brian E Carpenter <[email-masked]> wrote:
> 

I agree.  There are enough moving parts here, we don’t need to add more.

Bob

---

From: "Livingood, Jason" <[email-masked]>
Date: Wed, 25 Jul 2018 13:24:36 +0000

Is it necessary to list every single agreement w/o exception? We’ll always miss one, surely. Isn’t it sufficient just to say that the initial board will assess existing agreements with ISOC and transfer them to the LLC as applicable/necessary?

JL

From: iasa20 <[email-masked]> on behalf of Ted Hardie <[email-masked]>
Date: Tuesday, July 24, 2018 at 5:42 PM
To: Michael Richardson <[email-masked]>
Cc: IASA 2 WG <[email-masked]>, Russ Housley <[email-masked]>
Subject: Re: [Iasa20] Last call: IETF LLC legal documents

Michael,

On Tue, Jul 24, 2018 at 2:27 PM, Michael Richardson <[email-masked]<mailto:[email-masked]>> wrote:

I strongly disagree.  We have scoped this entire exercise as a way to make the *administrative* aspects of the IETF's organization fit better the growth which has occurred in ISOC and the IETF.   Shifting the scope now to include non-administrative aspects would be a grave error.

To illustrate this, think of all the discussion we've had on the desiderata for a good LLC Board member.  None of that has touched on knowledge or understanding of these liaison relationships, the bodies with whom they were executed, or the IETF work they touch.  Expanding the scope of the LLC to include them expands the needed expertise, and we're back looking for the purple squirrels who deeply understand both business matters and the ins and outs of the IETF's work and output.

  and IAB appointments, the IRTF, or ISOC's memberships in other organizations.
Adding the liaison relationships back in now should be, and I believe is, out of scope.

regards,

Ted

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        | network architect  [
]     [email-masked]<mailto:[email-masked]>  http://www.sandelman.ca/        |   ruby on rails    [

---

From: "Livingood, Jason" <[email-masked]>
Date: Wed, 25 Jul 2018 13:25:43 +0000

+1

On 7/24/18, 9:43 PM, "iasa20 on behalf of John Levine" <[email-masked] on behalf of [email-masked]> wrote:

---

From: "Livingood, Jason" <[email-masked]>
Date: Thu, 26 Jul 2018 20:24:20 +0000

Alissa – These changes all seem good to me, and reflect the feedback from the WG session during the Montreal meeting. I support moving forward.

Regards
Jason

From: iasa20 <[email-masked]> on behalf of Alissa Cooper <[email-masked]>
Date: Tuesday, July 24, 2018 at 3:12 PM
To: IASA 2 WG <[email-masked]>
Subject: [Iasa20] Last call: IETF LLC legal documents

The two legal documents needed to create the IETF LLC have been updated to incorporate the results of the IASA2 WG discussion and a few minor refinements from ISOC. You can see them here:
[1] LLC Agreement - clean https://github.com/IASA2/legal-and-finance/blob/master/IETF%20LLC%20Agreement%20DRAFT%2019JUL18.pdf
[2] LLC Agreement - redline as compared to previously circulated version https://github.com/IASA2/legal-and-finance/blob/master/IETF%20LLC%20Agreement%20REDLINE%2027JUN%20V%2019JUL.pdf
[3] Transition and Shared Services Agreement - clean https://github.com/IASA2/legal-and-finance/blob/master/IETF%20ISOC%20Transition%20Services%20Agreement%20DRAFT%2019JUL18.pdf
[4] Transition and Shared Services Agreement - redline as compared to previously circulated version  https://github.com/IASA2/legal-and-finance/blob/master/IETF%20ISOC%20Transition%20Services%20Agreement%20REDLINE%2026JUN%20V%2019JUL.pdf
This will serve as the last call for comment on these documents before they get executed and the LLC gets created. Please send any comments to [email-masked]<mailto:[email-masked]> by August 14, 2018. I will also forward this note to [email-masked]<mailto:[email-masked]>.

This last call is overlapping with the WG confirmation of consensus about the sources and number of board directors <https://www.ietf.org/mail-archive/web/iasa20/current/msg01250.html>. If that consensus is not confirmed the relevant language in Exhibit A of the LLC Agreement will be updated to match whatever the WG consensus is.

Thanks,
Alissa

---

From: Lou Berger <[email-masked]>
Date: Fri, 27 Jul 2018 08:25:36 -0400

Hi Alissa,

WRT to the LLC document:

A.6.c. says:

    c. For any Board-appointed Directors, the term of each appointment
    shall be
    designated by the Board, with the maximum term being until the
    beginning of the
    second Annual General Meeting (AGM) after appointment.

The term "Annual General Meeting (AGM)" is not used or defined elsewhere 
in the document - so this is clearly an error that needs to be 
corrected.  What is the intent here? A two year or NomCom cycle term? A 
two-IETF meeting term?  something else?  Whatever the intent, this 
should be corrected/clarified.

A.13: In reviewing the draft June IETF (as finance committee chair) I 
realize that the current text allows for all financial information to be 
considered confidential.  While details certainly belong in BCP101bis, 
disclosure of finances beyond what shows up on an I-990 seems like a 
pretty fundamental transparency requirement. How about:

     s/At a minimum, a record/At a minimum, the annual budget, quarterly 
financial reports and a

B.2: The new text reads:

    b. An amount, intended to serve as an operational reserve for the
    Company, equal to
    the Company’s Net Loss for 2019 multiplied times three. For purposes
    of this
    clause, “Net Loss” shall mean the difference between (i) the total
    expenses for the
    Company, including meeting and operations expenses, and (ii) the
    IETF annual
    meeting and in-kind revenue, in each case as contained in the
    Company’s approved
    budget for calendar year 2019. For avoidance of doubt, the parties
    project that this
    amount will be in the $9-10 million range.

I think I understand the the intent of this new text, but I find the 
wording a bit  confusing/open to misinterpretation on two fronts:
- That this amount is to be based on 2019 *budget*
- That in-kind excludes ISOC's contribution, which has historically been 
called in-find revenue [1]

It really would be easiest to just agree on a number with ISOC and 
replace the whole paragraph with the amount.  Is this possible?

If not, to address the points above I propose tweaking the text as follows:

    b. An amount, intended to serve as an operational reserve for the
    Company, equal to
    the Company’s Net Loss for 2019 multiplied times three. For purposes
    of this
    clause, “Net Loss” shall be based on the Company’s approved budget
    for calendar
    year 2019 and mean the difference between (i) the total budgeted
    expenses for the
    Company, including meeting and operations expenses, and (ii) the
    budgeted 2019 IETF
    meeting and in-kind revenue. Net Loss excludes any monies
    contributed or otherwise
    transferred by the Member to the Company. The parties project
    that this amount will be in the $9-10 million range.

Thanks,
Lou

[1] https://iaoc.ietf.org/documents/2018Budget.pdf
On 7/24/2018 3:12 PM, Alissa Cooper wrote:
> The two legal documents needed to create the IETF LLC have been 
> updated to incorporate the results of the IASA2 WG discussion and a 
> few minor refinements from ISOC. You can see them here:
>
> [2] LLC Agreement - redline as compared to previously circulated 
> version 
> https://github.com/IASA2/legal-and-finance/blob/master/IETF%20LLC%20Agreement%20REDLINE%2027JUN%20V%2019JUL.pdf
> [3] Transition and Shared Services Agreement - clean 
> https://github.com/IASA2/legal-and-finance/blob/master/IETF%20ISOC%20Transition%20Services%20Agreement%20DRAFT%2019JUL18.pdf
> [4] Transition and Shared Services Agreement - redline as compared to 
> previously circulated version 
> https://github.com/IASA2/legal-and-finance/blob/master/IETF%20ISOC%20Transition%20Services%20Agreement%20REDLINE%2026JUN%20V%2019JUL.pdf
>
> This will serve as the last call for comment on these documents before 
> they get executed and the LLC gets created. Please send any comments 
> to [email-masked] <mailto:[email-masked]> by August 14, 2018. I will 
> also forward this note to [email-masked] <mailto:[email-masked]>.
>
> This last call is overlapping with the WG confirmation of consensus 
> about the sources and number of board directors 
> <https://www.ietf.org/mail-archive/web/iasa20/current/msg01250.html>. 
> If that consensus is not confirmed the relevant language in Exhibit A 
> of the LLC Agreement will be updated to match whatever the WG 
> consensus is.
>
> Thanks,
> Alissa
>
>
>
>

---

From: Alissa Cooper <[email-masked]>
Date: Fri, 27 Jul 2018 11:12:51 -0400

In re-reviewing the LLC agreement I have a question about Appendix A, Section 6 (b)(ii):

"b. A Director may serve no more than two consecutive full terms, with at least one full
term prior to the start of any additional terms, subject to the following exceptions:
...
ii. Board-appointed Directors may serve only one term via this appointment
method, after which any subsequent terms must occur via other
appointment processes (such as via the NomCom process)."

I think the concept for 6(b)(ii) was added when the size of the baseline board (nomcom-appointed + ISOC-appointed + IETF Chair/delegate) was 7 rather than 5. I'm wondering whether this limitation still makes sense given that on a regular basis there will be 1 nomcom-appointed slot open per year and that the board will be fully operational with 5 members. That is, if the board appoints a director who is performing well and making useful contributions, does it still make sense that such a person would be rotated off after one term and not able to come back onto the board for potentially multiple years until re-appointed by a nomcom? 

Thanks,
Alissa

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 27 Jul 2018 11:27:47 -0400

Your understanding and mine apparently differ.

I did not think that the addition of this restriction was in any way 
related to the number of people on the board.

If you want to claim the size is relevant, then I would argue in fact 
that the smaller base board makes the restriction more important, not 
less important.  In any case, the restriction has nothing to do with the 
quality of the work the individual is doing.

Please do NOT remove this restriction.

Yours,
Joel

On 7/27/18 11:12 AM, Alissa Cooper wrote:
> ....

---

From: Richard Barnes <[email-masked]>
Date: Fri, 27 Jul 2018 11:29:02 -0400

Joel: Could you elaborate on what value you think the restriction is
providing?

On Fri, Jul 27, 2018 at 11:27 AM Joel M. Halpern <[email-masked]>
wrote:

> > I think the concept for 6(b)(ii) was added when the size of the baseline
> board (nomcom-appointed + ISOC-appointed + IETF Chair/delegate) was 7
> rather than 5. I'm wondering whether this limitation still makes sense
> given that on a regular basis there will be 1 nomcom-appointed slot open
> per year and that the board will be fully operational with 5 members. That
> is, if the board appoints a director who is performing well and making
> useful contributions, does it still make sense that such a person would be
> rotated off after one term and not able to come back onto the board for
> potentially multiple years until re-appointed by a nomcom?
> >
> > Thanks,
> > Alissa

---

From: Stephen Farrell <[email-masked]>
Date: Fri, 27 Jul 2018 16:36:26 +0100

Hiya,

On 27/07/18 16:12, Alissa Cooper wrote:
> "b. A Director may serve no more than two consecutive full terms,
> with at least one full term prior to the start of any additional
> terms, subject to the following exceptions: .... ii. Board-appointed
> Directors may serve only one term via this appointment method, after
> which any subsequent terms must occur via other appointment processes
> (such as via the NomCom process)."
> 
> I think the concept for 6(b)(ii) was added when the size of the
> baseline board (nomcom-appointed + ISOC-appointed + IETF
> Chair/delegate) was 7 rather than 5. I'm wondering whether this
> limitation still makes sense given that on a regular basis there will
> be 1 nomcom-appointed slot open per year and that the board will be
> fully operational with 5 members. That is, if the board appoints a
> director who is performing well and making useful contributions, does
> it still make sense that such a person would be rotated off after one
> term and not able to come back onto the board for potentially
> multiple years until re-appointed by a nomcom?

IMO, yes it still makes sense. I don't believe we want board-appointed
board members who can be on the board for 6 years without nomcom being
ok with those persons.

S.

> 
> Thanks, Alissa _______________________________________________ iasa20
> mailing list [email-masked]

---

From: Andrew Sullivan <[email-masked]>
Date: Fri, 27 Jul 2018 11:42:08 -0400

On Fri, Jul 27, 2018 at 11:27:47AM -0400, Joel M. Halpern wrote:
> 
> I did not think that the addition of this restriction was in any way related
> to the number of people on the board.

I thought that part of the argument for the restriction was that there
was no need for the additional members anyway, so the community could
have more control this way.

I still think the exclusive reliance on the nomcom for this is nuts,
because I remain convinced that the nomcom is designed for a different
purpose; but I am aware that those who are determined that it be the
case will be just as determined with the smaller board and therefore
will require that the board-appointed people go through the nomcom in
the next round.

Alissa's point is a significant one, however: with a board of 5, if
the restriction remains in place the nomcom is going to have more work
to do some years; but worse and with 3 nomcom slots there could be a
difficult power dynamic in which board-appointed people are passed
over for appointment by the nomcom and the board then has to keep
appointing new people to solve the problem they believe they have.  I
think we ought to consider the consequences of such a situation for
the effective operation of the LLC.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Stephen Farrell <[email-masked]>
Date: Fri, 27 Jul 2018 16:45:55 +0100

Hiya,

> the effective operation of the LLC.

If that happens, can't the LLC board come back to the community,
explain the problem and ask for some change to the setup? I'd
rather we tackle such difficulties when they're real. And if
such problems do emerge, then there may be other/better mitigations
apparent at that time that we'd not think of now if we tried to
change this stuff again in a hurry.

S.

---

From: Alissa Cooper <[email-masked]>
Date: Fri, 27 Jul 2018 11:54:22 -0400

Hi Joel,

> On Jul 27, 2018, at 11:27 AM, Joel M. Halpern <[email-masked]> wrote:
> 
> I did not think that the addition of this restriction was in any way related to the number of people on the board.
> 
> If you want to claim the size is relevant, then I would argue in fact that the smaller base board makes the restriction more important, not less important.  In any case, the restriction has nothing to do with the quality of the work the individual is doing.

I was really thinking about this factually, which is where I see the connection. Saying that board-appointed directors have to go through the nomcom for a second term has a different practical impact when the nomcom is appointing two people per year most years (as would have occurred if the nomcom were being asked to seat 5 directors) rather than one person per year. I just wanted to confirm that people had thought that through.

Thanks,
Alissa

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 27 Jul 2018 12:04:17 -0400

The arument in favor of having any directors appointed by the board was 
that the board might find that there was some particular skill that 
should really be on the board, and was not present.  I am not sure 
whether I think that is likely, but I will grant it can happen. 
Further, to justify a board-based appointment it has to be of high 
enough priority that simply waiting until the next cycle and having the 
board tell the nomcom "this is important" is not good enough.  Okay. 
But if so, then one we do get to a nomcom cycle, the right way to get 
that expertise is to ask that the expertise be included.

 From where I sit, having any board-appointed board members is a risk 
for disconnection from the needs and entrenchment of particular view 
points.  the ISOC board has never chosen to take advantage of the 
ability to make such appointments.  But I am willing to grant that there 
may be special cases.

This text was itself a compromise among many different perspectives.  I 
do not claim it is perfect.

Yours,
Joel

On 7/27/18 11:29 AM, Richard Barnes wrote:
> On Fri, Jul 27, 2018 at 11:27 AM Joel M. Halpern <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>     with at least one full
>     limitation still makes sense given that on a regular basis there
>     will be 1 nomcom-appointed slot open per year and that the board
>     will be fully operational with 5 members. That is, if the board
>     appoints a director who is performing well and making useful
>     contributions, does it still make sense that such a person would be
>     rotated off after one term and not able to come back onto the board
>     for potentially multiple years until re-appointed by a nomcom?
>      >
>      > Thanks,
>      > Alissa
>      > [email-masked] <mailto:[email-masked]>
>     [email-masked] <mailto:[email-masked]>

---

From: Andrew Sullivan <[email-masked]>
Date: Fri, 27 Jul 2018 12:27:17 -0400

On Fri, Jul 27, 2018 at 12:04:17PM -0400, Joel M. Halpern wrote:
> Further, to justify a board-based
> appointment it has to be of high enough priority that simply waiting until
> the next cycle and having the board tell the nomcom "this is important" is
> not good enough.

The hidden assumption in there is that, if some body to which nomcom
is appointing people tells the nomcom, "X is important," the nomcom
will react in the appropriate way to cause the necessary effect.

I think we have reason to suppose that this does not always work
perfectly in the case of engineering appointments (IESG and IAB), but
that on the whole it mostly works ok and that even the exceptions are
often skilled enough IETFers that they learn quickly on the job in a
way that makes the bodies effective.

But the nomcom is made up of people who are nomcom-eligible, which
means they spend time at IETF meetings, which means almost certainly
that they are not mostly experienced business managers who can spot
someone with that kind of skill when they are interviewing them.
There is nothing wrong with that: I don't want biz-heads picking our
engineering management either.

Yet it is very far from obvious to me that the nomcom is ever going to
be in a good position to interview the LLC candidates and reliably and
accurately sort out those with good skills for the job from those who
have poor skills for the job.  A management board requires different
enough kinds of skills from those we at the IETF usually need that I
am worried the nomcom sometimes just won't have the skills to spot the
right candidates.  The hope (in place of a plan) is that the resulting
board will recognise where it is deficient and go find the people who
have the necessary skills.  If those people then have to be fed back
through the nomcom, then there are two possibilites:

    1.  The nomcom is just a rubber stamp, in which case making people
    do all that work for nothing seems needlessly onerous.

    2.  The nomcom will do what it does with every candiadte,
    and could fail to return the candidate (see above).  The
    board in any case shrinks and the candidate whom the board
    selected precisely for the skills in question is now disqualified,
    or is appointed instead of someone else.

In other words, we have two problems: first, the nomcom-approval
requirement on the 6th and 7th people means that the board keep
shrinking down to 5 because any board-appointed member is only
eligible for a 3 year term.  Maybe that member will be appointed, but
then someone else can't be appointed to the nomcom slot, and so the
board then has to appoint a _different_ person to the open position or
else shrink (which might well be fine in many cases, please note).
Second, the very issues with the nomcom as the body to appoint this
board mean that the nomcom might well make decisions poorly suited to
the particular problems of the board.

Again, this is not to impugn the nomcom.  But for the same reason that
I don't want finance involved in my interviewing process for software
engineers, I am deeply sceptical of asking a random (by design)
assortment of protocol people to have good judgement when it comes to
management-board selection.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 27 Jul 2018 12:35:24 -0400

I may be misreading your note, but your comments read to me more as an 
issue with the whole premise of having the nomcom appoint the board, 
rather than with the issue of having limits on the terms of 
board-appointed board members.

While I can sympathize with such a concern, I was under the impresion 
that for all its flaws, having the nomcom do the job was the best 
alternative we were able to come up with.  If you want to re-open that 
because you have come up with a good idea we had not considered, then 
please do so separately from the issue of limiting the terms of 
board-appointed board members.

Yours,
Joel

---

From: Richard Barnes <[email-masked]>
Date: Fri, 27 Jul 2018 12:39:15 -0400

The way I read it was that part of the point of the board-appointed members
is to address nomcom's limitations.  So making those folks go through
nomcom the next time kind of nullifies that benefit.

--Richard

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 27 Jul 2018 12:46:27 -0400

I think that our difference in perspective here refelcts a difference in 
our goals and expectations.

Some of us expect and hope that the nomcom appointed board, plus the 
IETF chair and the ISOC appointee, can do the job of the board.  This is 
driven by many things, including assertions as part of the creation of 
this board that it will have much less responsibility than the IAOC.

Some of us, for equally good reasons, believe that the nomcom will 
frequently fall short in providing what is needed in terms of skills for 
the LLC board.  This is based in part on the observation that the nomcom 
membership experience is quite different from many of the important 
parts of the LLC board job.

The allowance for board appointed members, with restrictions on their 
terms, is far as I know an effort to balance these two sets of concerns. 
  changing the number of nomcom people on the board does not suddenly 
make one set of concerns or the other go away.

If you push the argument that the smaller number of board members makes 
this compromise untenable, then for me the obvious answer is to add back 
the two additional nomcom appointees that I asked for.  I am not 
currently making that argument because I have already granted that I am 
in the rough.  But if we want to re-open agreements, I am happy to be 
handed argumentation for what I really want, rather than merely what I 
can live with.

Yours,
Joel

On 7/27/18 12:39 PM, Richard Barnes wrote:
> The way I read it was that part of the point of the board-appointed 
> members is to address nomcom's limitations.  So making those folks go 
> through nomcom the next time kind of nullifies that benefit.
> 
> --Richard
> 
> 
> On Fri, Jul 27, 2018 at 12:35 PM Joel M. Halpern <[email-masked]

---

From: Andrew Sullivan <[email-masked]>
Date: Fri, 27 Jul 2018 13:12:02 -0400

On Fri, Jul 27, 2018 at 12:39:15PM -0400, Richard Barnes wrote:
> The way I read it was that part of the point of the board-appointed members is
> to address nomcom's limitations.  So making those folks go through nomcom the
> next time kind of nullifies that benefit.

Yes, that was precisely my point.  I wish I'd been so compact :)

A

-- 
Andrew Sullivan
[email-masked]

---

From: Glenn Deen <[email-masked]>
Date: Fri, 27 Jul 2018 19:29:23 +0200

I thought the intent was that this requirement gives the nomcom the chance to weigh in on the BoD appointed directors.  This is the community’s chance to reject an appointee that has not met the community’s approval.  

Perhaps the middle ground here is to say that the nomcom has to reconfirm the appointment after one term by the appointee. 

I see this as a reconfirmation meaning it isn’t one of slots the noncom normally would be appointing 

Glenn

> On Jul 27, 2018, at 6:39 PM, Richard Barnes <[email-masked]> wrote:
> 
> The way I read it was that part of the point of the board-appointed members is to address nomcom's limitations.  So making those folks go through nomcom the next time kind of nullifies that benefit.
> 
> --Richard
> 
> 
>> On Fri, Jul 27, 2018 at 12:35 PM Joel M. Halpern <[email-masked]> wrote:
>> >      and could fail to return the candidate (see above)..  The

---

From: Lou Berger <[email-masked]>
Date: Fri, 27 Jul 2018 13:29:55 -0400

FWIW My reading is the same as Joel's...

---

From: Lou Berger <[email-masked]>
Date: Fri, 27 Jul 2018 13:44:57 -0400

I think Gelnn's proposal, i.e., confirmation/affirmation by nomcom, is 
worth fully flushing out as a compromise.

On 7/27/2018 1:29 PM, Glenn Deen wrote:
> I thought the intent was that this requirement gives the nomcom the 
> chance to weigh in on the BoD appointed directors.  This is the 
> community’s chance to reject an appointee that has not met the 
> community’s approval.
>
> Perhaps the middle ground here is to say that the nomcom has to 
> reconfirm the appointment after one term by the appointee.
>
> On Jul 27, 2018, at 6:39 PM, Richard Barnes <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>>     >      and could fail to return the candidate (see above)...  The

---

From: Richard Barnes <[email-masked]>
Date: Fri, 27 Jul 2018 14:13:22 -0400

It seems like a sensible compromise, but it also seems to rely on undefined
process.  AFAIK, there's no process for NOMCOM to "confirm" someone, only
to "nominate" them; in fact, RFC 7437 says explicitly, "The nominating
committee does not confirm its candidates; it present its candidates to the
appropriate confirming body as indicated below."

--Richard

---

From: Andrew Sullivan <[email-masked]>
Date: Fri, 27 Jul 2018 14:16:19 -0400

On Fri, Jul 27, 2018 at 12:46:27PM -0400, Joel M. Halpern wrote:

> If you push the argument that the smaller number of board members makes this
> compromise untenable, then for me the obvious answer is to add back the two
> additional nomcom appointees that I asked for.  I am not currently making
> that argument because I have already granted that I am in the rough.  But if
> we want to re-open agreements, I am happy to be handed argumentation for
> what I really want, rather than merely what I can live with.

Well, I _can't_ live with a permanent board of 7, either, so I think
the right thing is to accept that this is the compromise we got and be
done with it.  That includes the negative consequences I outlined, but
of course if this is painful enough we'll fix it later and if it's not
too painful then we can live with the results.

Best regards,

a

-- 
Andrew Sullivan
[email-masked]

---

From: Michael Richardson <[email-masked]>
Date: Fri, 27 Jul 2018 14:19:00 -0400

Lou Berger <[email-masked]> wrote:
    > I think Gelnn's proposal, i.e., confirmation/affirmation by nomcom, is worth
    > fully flushing out as a compromise.

+1

-- 
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Lou Berger <[email-masked]>
Date: Fri, 27 Jul 2018 14:29:28 -0400

On 7/27/2018 2:16 PM, Andrew Sullivan wrote:
> so I think
> done with it.

this also works for me -- subject to fixing the broken language 
identified in the mail I sent earlier today.

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 28 Jul 2018 08:46:39 +1200

> The way I read it was that part of the point of the board-appointed members is to address nomcom's limitations.  So making those folks go through nomcom the next time kind of nullifies that benefit.

I don't think so. Effectively the Board is telling the NomCom:
"We appointed Jane Doe to the Board because of her skills in
foobar administration, and she's done a great job: please
reappoint her." NomCom is almost certainly going to do so,
unless there's a good reason not to.

(I'm assuming that this reappointment is indeed in addition
to the basic 5 seats - if that isn't explicit in the text, it
certainly should be.)

I think we've got to the least bad solution. If it proves to
be broken, we can fix it (that's why I wanted a 2 or 3 year 
review).

   Brian

> 
> --Richard
> 
> 
> On Fri, Jul 27, 2018 at 12:35 PM Joel M. Halpern <[email-masked] <mailto:[email-masked]>> wrote:
>

---

From: Andrew Sullivan <[email-masked]>
Date: Fri, 27 Jul 2018 16:56:10 -0400

Are you suggesting the nomcom appoints 3 seats, but MAY appoint up to 2 
more in case the board asks for it, and in that case the board is limited 
in the corresponding number of seats it may appoint?  I don't think the 
text says that now.

Best regards,

A

--
Please excuse my clumbsy thums
----------
On July 27, 2018 16:46:48 Brian E Carpenter <[email-masked]>

---

From: "John Levine" <[email-masked]>
Date: 27 Jul 2018 17:38:54 -0400

>appropriate confirming body as indicated below."

I'm not sure how much difference this makes in practice, since I will
be pretty surprised if there are more plausible candidates than slots.

R's,
John

---

From: Glenn Deen <[email-masked]>
Date: Sat, 28 Jul 2018 00:42:04 +0200

Yes, exactly. 

If there is no reason to reject, then it would be expected that the noncom would simply reconfirm. This is a control/decision point to deal with the situation where the appointed person is not acceptable to the community and the community wants to voice its rejection. 

Glenn Deen

> On Jul 27, 2018, at 10:46 PM, Brian E Carpenter <[email-masked]> wrote:
>

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 28 Jul 2018 14:18:11 +1200

> in the corresponding number of seats it may appoint?  I don't think the 

Fair comment. No, now you point it out, that isn't a good idea.
But all the same, if the Board nominates someone and comments
in the way I suggested, it's a pretty strong message to the NomCom.

While I agree with the concern that a group of randomly selected
engineers may be less than ideal for picking worthy Board members,
I'm inclined to think that they aren't stupid and will pay attention
to such a message, unless there's a good reason not to.

   Brian

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Sun, 29 Jul 2018 20:36:19 -0500

I've seen one point pop up with about a 4-day periodicity often enough that
I want to mention a point that someone else made, that I'm not going to
chase down now ...

> to such a message, unless there's a good reason not to.

Based on not a lot of experience with the Nomcom side of IAOC member
selection (I was the IAB liaison to the 2011 Nomcom, but that's it. I have
more experience with the IAB and IESG side, for the members they select
independently from Nomcom), I also have that concern, but I have no
interest in suggesting that we come up with some Fabulous New Board Member
Selection Plan, especially not at this late date, and start to wander
through a few acres of corner cases in a process that we've never seen work
in the IETF community.

What I'm telling myself, is that Brian may be right about both the concern
in theory, and the hope that the concern in theory won't be a concern in
practice, but even if having the IETF Nomcom membership pick board members
turns out to be a bad plan, we could fairly quickly make a switch to using
a second Nominating Committee with an independent membership and basically
no other changes, if the community thought that was the best answer to deal
with an immediate problem. That might be good enough, or it might keep
things rolling while we fix a problem that had actually happened in
practice, but either way, there is a Plan B, if having software engineers
review finance people turns out to be just as bad as having finance people
review software people.

It's also worth mentioning that I'm consistently impressed by the depth and
breadth of knowledge and experience that SOMEBODY in the IETF community
has, for pretty much any question I've seen us struggle with(*). I'd bet
that a very small percentage of IETF participants have served on boards or
selected board members, but I've done that, and I can name active
participants with a lot more impressive credentials about this than I could
offer. So, this COULD work, if we keep our eyes open, and aren't insanely
unfortunate.

It seems to me. Do the right thing, of course.

Spencer

(*) Serendipity in our community is pretty thick on the ground. Pete
Resnick and I were talking with one of the ANRP winners in London in the
open area in front of the Hilton elevators, and I made some crack about
"assuming a spherical cow", and within ten seconds, Heather Flanagan had
walked across the thirty feet between our tables and handed Pete a business
card for her day job company. It's called "Spherical Cow Consulting/LLC".
Only at the IETF ...

---

From: Scott Mansfield <[email-masked]>
Date: Mon, 30 Jul 2018 10:35:57 +0000

Thank you Spencer!

As I said at the microphone in Montreal, I am much more worried about filling a viable candidate pool, rather than the effectiveness of the NomCom to interview candidates.  I have already enquired about getting support from ISOC, HR specialists, the ISOC Lawyer, and others about the process of interviewing Board members and what to look for in the candidates.  Once the NomCom receives the instructions and job descriptions, we can even go further in research on what an LLC Board member should bring to the table.  The IETF NomCom brings the best interests of the IETF to the table.

I am asking the Internet community to focus on looking through their professional networks, at other non-profit entities, other organizations, and internally to find LLC Board Member candidates that have the identified skills and the best interests of the IETF at heart.

Regards,
Scott Mansfield
IETF NomCom 2018 Chair

From: iasa20 <[email-masked]> On Behalf Of Spencer Dawkins at IETF
Sent: Sunday, July 29, 2018 9:36 PM
To: Brian E Carpenter <[email-masked]>
Cc: [email-masked]; Andrew Sullivan <[email-masked]>
Subject: Re: [Iasa20] Last call: IETF LLC legal documents

I've seen one point pop up with about a 4-day periodicity often enough that I want to mention a point that someone else made, that I'm not going to chase down now ...

On Fri, Jul 27, 2018 at 9:18 PM Brian E Carpenter <[email-masked]<mailto:[email-masked]>> wrote:

Based on not a lot of experience with the Nomcom side of IAOC member selection (I was the IAB liaison to the 2011 Nomcom, but that's it. I have more experience with the IAB and IESG side, for the members they select independently from Nomcom), I also have that concern, but I have no interest in suggesting that we come up with some Fabulous New Board Member Selection Plan, especially not at this late date, and start to wander through a few acres of corner cases in a process that we've never seen work in the IETF community.

What I'm telling myself, is that Brian may be right about both the concern in theory, and the hope that the concern in theory won't be a concern in practice, but even if having the IETF Nomcom membership pick board members turns out to be a bad plan, we could fairly quickly make a switch to using a second Nominating Committee with an independent membership and basically no other changes, if the community thought that was the best answer to deal with an immediate problem. That might be good enough, or it might keep things rolling while we fix a problem that had actually happened in practice, but either way, there is a Plan B, if having software engineers review finance people turns out to be just as bad as having finance people review software people.

It's also worth mentioning that I'm consistently impressed by the depth and breadth of knowledge and experience that SOMEBODY in the IETF community has, for pretty much any question I've seen us struggle with(*). I'd bet that a very small percentage of IETF participants have served on boards or selected board members, but I've done that, and I can name active participants with a lot more impressive credentials about this than I could offer. So, this COULD work, if we keep our eyes open, and aren't insanely unfortunate.

Spencer

(*) Serendipity in our community is pretty thick on the ground. Pete Resnick and I were talking with one of the ANRP winners in London in the open area in front of the Hilton elevators, and I made some crack about "assuming a spherical cow", and within ten seconds, Heather Flanagan had walked across the thirty feet between our tables and handed Pete a business card for her day job company. It's called "Spherical Cow Consulting/LLC". Only at the IETF ...

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 30 Jul 2018 07:21:10 -0400

Hi,

I think people are misunderstanding my meaning, so let me try again.

On Mon, Jul 30, 2018 at 10:35:57AM +0000, Scott Mansfield wrote:

>  I am much more worried about filling a viable candidate pool,
> rather than the effectiveness of the NomCom to interview candidates.

I am also worried about this.  But that is not my point.

>  The IETF NomCom brings the best interests of the IETF to the table.

Yes, of course it does, and I don't think anyone ever questioned the
dedication of nomcom members.  Certainly I do not.

But what we were talking about is not the problem this year, where the
nomcom needs to fill three positions and there aren't any
board-appointed people in the mix.  What we were talking about is a
different scenario.

In the scenario we were talking about, there are three members
appointed by nomcom and one or more members appointed by the board,
and one of the nomcom appointees and one of the board appointees come
to the end of their term in the same nomcom cycle.  There is therefore
one slot for nomcom to appoint, and the board-appointed slot cannot
get the same board-appointed candidate (by the board or anyone else)
according to the draft we have.

Suppose that the nomcom appointed member is an IETFer who has an
expansive and somewhat interventionist view of what the board ought to
be doing, and the board-appointed member is someone familiar with
corporate governance and LLC operations but who is unfamiliar with the
IETF.  Both decide to stand for nomcom appointment.

It is to me utterly uncertain what a nomcom might do in this case.
The other board members might effectively suggest to the nomcom that
the previously-board-appointed person should be appointed, on the
grounds of needed skill and so on.  But it seems equally likely that
(like everyone else in the universe) the nomcom members will lean
towards someone they know better and who has a greater record of IETF
involvement instead of a specialist technocrat from outside our
community.  In this case, we will lose that specialist skill, because
he or she could not be reappointed by the board.

I can I suppose imagine some sort of backroom deal in which the
currently nomcom-appointed member will be reappointed by the board if
he or she stands back in favour of the currently board-appointed
member (and that member is successfully appointed by the nomcom).
This seems like the worst possible outcome to me, so I'd prefer to
disregard it for now.

It is apparent from some remarks on this list that some WG
participants are simply not worried about this case, and in the
interests of getting on with this I don't think we should attempt to
redesign everything.  But I hope the above scenario has been
considered by the WG, because it seems to me to be one we could well
face.  I do not object to deciding that such an outcome would be
acceptable, but I would hate for us to set that up by accident.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Michael Richardson <[email-masked]>
Date: Mon, 30 Jul 2018 09:48:12 -0400

> he or she could not be reappointed by the board.

I am pretty sure that understand your scenario, and I understand your
anxiety.  I think that it is a real anxiety, but I'm still not sure it's
something that will happen.

a) I am perplexed about what skill a *management* board like the LLC would need,
   that would not have been better satisfied by having a hired consultant.
   This seems like a problem the *IAOC* has had, and one of the reasons why
   we are changing the structure.

b) In the term of this specialist technocrat, it seems that what they bring
   to the LLC board needs to be clearly articulated.  Maybe this technocrat
   *does* need to attend an IETF or two.  

c) I still think you underestimate the nomcom to understand and weigh this
   conflict.

---

From: Scott Mansfield <[email-masked]>
Date: Mon, 30 Jul 2018 14:27:01 +0000

I am uncertain what any ten randomly chosen people will do in any circumstance.  However (and also by the way)...
I appreciate long-term thinking and the need to build a NomCom culture that will consider the candidates based on merit not whether or not they are popular or well known for a non-related skill set in the community.  Hence the call for support from HR professionals and resources related to anti-bias training and interviewing techniques.  The NomCom needs to be concerned with not only the skill-set of the nominees but that the individuals slated can work together with each other and with the ISOC President, the IETF Chair, and the ISOC Board Chair (at least).  The research and training of the NomCom for this new endeavor continues when we get the job description.  We need to actively interview the people the Board will interact with, get advice from executive recruiters, advice from others in non-profit organizations, and educate ourselves on the capabilities needed by the LLC Board members.

So... please... (specially related to LLC Board slots) send suggestions, contacts, educational pointers, characteristics, etc... to [email-masked]

Regards,
-scott.

-----Original Message-----
From: iasa20 <[email-masked]> On Behalf Of Andrew Sullivan
Sent: Monday, July 30, 2018 7:21 AM
To: [email-masked]
Subject: Re: [Iasa20] Last call: IETF LLC legal documents

Hi,

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Michael Richardson <[email-masked]>
Date: Mon, 30 Jul 2018 11:43:36 -0400

Scott Mansfield <[email-masked]> wrote:
    > I appreciate long-term thinking and the need to build a NomCom culture
    > that will consider the candidates based on merit not whether or not
    > they are popular or well known for a non-related skill set in the
    > community.  Hence the call for support from HR professionals and
    > resources related to anti-bias training and interviewing techniques.

I strongly agree!

This is something specific that could be done at the summer IETFs.
1) A budget to hire these professionals is needed.
2) The nomcom-chair-elect needs to be selected earlier so that they can
   see more of how the previous nomcom ran.  (I think that this is more
   valuable than having the past-chair available)

(Historically, nomcom's did not consistently get going until after the
summer IETF. That's changed)
   
    > The NomCom needs to be concerned with not only the skill-set of the
    > nominees but that the individuals slated can work together with each
    > other and with the ISOC President, the IETF Chair, and the ISOC Board
    > Chair (at least).
    
    > The research and training of the NomCom for this new
    > endeavor continues when we get the job description.  We need to
    > actively interview the people the Board will interact with, get advice
    > from executive recruiters, advice from others in non-profit
    > organizations, and educate ourselves on the capabilities needed by the
    > LLC Board members.

+1

    > So... please... (specially related to LLC Board slots) send
    > suggestions, contacts, educational pointers, characteristics, etc... to
    > [email-masked]

---

From: Ted Hardie <[email-masked]>
Date: Mon, 30 Jul 2018 09:02:47 -0700

> It is to me utterly uncertain what a nomcom might do in this case.
They will interview both candidates, get feedback from the community
(including the LLC Board) and make a decision, which will get confirmed (or
not) by the relevant confirming body.  That is, they will turn the crank on
the process that we have set up.

If the LLC or the board is so fragile that making either choice destroys
the board dynamics for a year, we have a problem.  But presumably both of
those candidates got into the job because they cared about the IETF enough
to give it their time and presumably both would accept the outcome.   If
the board decides that the loss of the skill represented by either of them
is significant enough, and cannot be retained by making the non-selected
candidate a board advisor, it can appoint someone else with that skill.  If
it is the same skill that the previously appointed member represented,
presumably the next NomCom will get the point or the board will request a
permanent change from the community.

But trying to get the NomCom to behave deterministically in any specific
scenario really suppresses their function as a feedback mechanism.  If the
NomCom is selecting people with a particular view of board behavior, they
are presumably doing so with open eyes.  Anyone can influence that by
talking with the NomCom, but trying to predetermine an outcome is, at least
in my view, contrary to the working of the function itself.

regards,

Ted

---

From: Alissa Cooper <[email-masked]>
Date: Mon, 30 Jul 2018 15:50:07 -0400

Hi Lou,

> On Jul 27, 2018, at 8:25 AM, Lou Berger <[email-masked]> wrote:
> 
> Hi Alissa,
> 
> WRT to the LLC document:
> 
> A.6.c. says:
> 
> The term "Annual General Meeting (AGM)" is not used or defined elsewhere in the document - so this is clearly an error that needs to be corrected.  What is the intent here? A two year or NomCom cycle term? A two-IETF meeting term?  something else?  Whatever the intent, this should be corrected/clarified.

Good point. It seems this was some hastily cribbed language from the ISOC bylaws which doesn’t make sense in the LLC agreement. I think we could do something simple like:

"For any Board-appointed Directors, the term of each appointment shall be designated by the Board, with the maximum term being three years.”

That way Board-appointed Directors can serve a term no longer than a single term of the nomcom-appointed members, and possibly shorter. 

> 
> A.13: In reviewing the draft June IETF (as finance committee chair) I realize that the current text allows for all financial information to be considered confidential.  While details certainly belong in BCP101bis, disclosure of finances beyond what shows up on an I-990 seems like a pretty fundamental transparency requirement. How about:
> 
>     s/At a minimum, a record/At a minimum, the annual budget, quarterly financial reports and a

WFM

> I think I understand the the intent of this new text, but I find the wording a bit  confusing/open to misinterpretation on two fronts:

Yes. This is stated in the second sentence.

> - That in-kind excludes ISOC's contribution, which has historically been called in-find revenue [1]

Starting with the 2019 budget there will be no in-kind ISOC contribution.

> 
> It really would be easiest to just agree on a number with ISOC and replace the whole paragraph with the amount.  Is this possible?

We don’t have the official 2019 budget yet, which is why this is using a calculation instead. Given that we’re aiming to wrap this up this month this seems like the best we can do.

>   that this amount will be in the $9-10 million range.

I think this is more confusing than the original text. If adding the word “budget” earlier in the text would help, perhaps the first sentence of the original could be edited to say "An amount, intended to serve as an operational reserve for the  Company, equal to the Company’s Net Loss for budget year 2019 multiplied times three” ?

Thanks,
Alissa

>> This will serve as the last call for comment on these documents before they get executed and the LLC gets created. Please send any comments to [email-masked] <mailto:[email-masked]> by August 14, 2018. I will also forward this note to [email-masked] <mailto:[email-masked]>.
>>

---

From: Lou Berger <[email-masked]>
Date: Mon, 30 Jul 2018 16:37:09 -0400

Hi Alissa,

On 7/30/2018 3:50 PM, Alissa Cooper wrote:
> Good point. It seems this was some hastily cribbed language from the ISOC bylaws which doesn’t make sense in the LLC agreement.
agreed.

>   I think we could do something simple like:
>
I think this was a topic of another thread/discussion in the WG - I'll 
defer to that thread on specific language.

>>      s/At a minimum, a record/At a minimum, the annual budget, quarterly financial reports and a
great!

> I think this is more confusing than the original text. If adding the word “budget” earlier in the text would help, perhaps the first sentence of the original could be edited to say "An amount, inte…

Making it unambiguous that we're talking budgeted numbers is important 
however its done.  "Company’s Net Loss for 2019" sounds like end of year 
number not budget.  I'm open on specific language that makes it clear -- 
we can always ask Brad...

Thanks,
Lou

---

From: Lucy Lynch <[email-masked]>
Date: Mon, 30 Jul 2018 13:44:21 -0700

Sent from my iPhone

> On Jul 30, 2018, at 12:50 PM, Alissa Cooper <[email-masked]> wrote:
> 
> Hi Lou,
> 

Clear and reasonable and keeps the board appointment process separate from the NC selection process

Wfm